## zope.i18n 3.8.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = ../bin/sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zopei18n.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zopei18n.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## zope.i18n 3.7.4

=== debian/changelog ===
zope.i18n (3.7.4-2) unstable; urgency=low

  * Team upload.
  * debian/clean: remove to make sure all files are installed.
  * debian/source/options: ignore .egg-info directory.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 08 Nov 2011 13:53:32 +0200

zope.i18n (3.7.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Use dh_python2 instead of python-central (Closes: #617169).
  * debian/control:
    + build-depend on python-all (not -dev).
    + Add Vcs-Browser and Homepage fields.
    + Bump Standards-Version to 3.9.2. No changes needed.
  * debian/copyright: update, convert to dep5 format, add section about
    Unicode data.
  * Switch to 3.0 (quilt) source format.
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if built
    twice.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 18 Oct 2011 18:34:43 +0300

zope.i18n (3.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 03 Feb 2010 07:36:50 +0100

zope.i18n (3.7.0-6) unstable; urgency=low

  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 05 Jan 2010 21:43:19 +0100

zope.i18n (3.7.0-5) unstable; urgency=low

  * debian/control: build-depend on python-van.pydeb >= 1.3.0-2.
    (Closes: #552919)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:23:58 +0100

zope.i18n (3.7.0-4) unstable; urgency=low

  * debian/copyright: Add complete text of the ZPL.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Sep 2009 11:40:03 +0200

zope.i18n (3.7.0-3) unstable; urgency=low

  * Add copyright for src/zope/i18n/locales/LocaleElements.dtd.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2009 23:03:46 +0200

zope.i18n (3.7.0-2) unstable; urgency=low

  * debian/control: changed section to zope.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 14 Sep 2009 15:08:14 +0200

zope.i18n (3.7.0-1) unstable; urgency=low

  [ Brian Sutherland ]
  * Initial Packaging.

  [ Fabio Tranchitella ]
  * debian/control: bumped Standard-Version to 3.8.3: no changes needed.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 14 Sep 2009 15:03:18 +0200

=== debian/control ===
Source: zope.i18n
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://pypi.python.org/pypi/zope.i18n
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.i18n/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.i18n/trunk

Package: python-zope.i18n
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends}
Suggests: ${pydeb:Suggests}
Provides: ${pydeb:Provides}
Conflicts: zope3
Description: Zope Internationalization Support
 This package implements several APIs related to internationalization and
 localization:
 .
  * Locale objects for all locales maintained by the ICU project.
  * Gettext-based message catalogs for message strings.
  * Locale discovery for Web-based requests.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=compile test zcml

%:
	dh --with pydeb --with python2 $@

## zope.i18n 3.8.0

=== debian/changelog ===
zope.i18n (3.8.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Added optional domain attribute to registerTranslations directive, to
      enable moving translations to /usr/share/locale.
  * debian/patches/zpl-2.0: Remove, fixed upstream.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 15 Mar 2012 16:15:14 +0200

zope.i18n (3.7.4-2ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
    - Fix license version in some source files, committed upstream.
  * debian/patches/zpl-2.0: Store license fix as a patch.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 14 Nov 2011 16:56:45 +0200

zope.i18n (3.7.4-0ubuntu2) oneiric; urgency=low

  * Use dh_python2 instead of python-central (LP: #831411, Closes: #617169).
  * debian/control:
    + Add Vcs-Browser and Homepage fields.
    + Bump Standards-Version to 3.9.2. No changes needed.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 22 Aug 2011 18:55:05 +0300

zope.i18n (3.7.4-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/control: build-depend on python-all (not -dev).
  * debian/copyright: update, convert to dep5 format, add section about
    Unicode data.
  * Fix license version in some source files, committed upstream.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 10 Mar 2011 20:42:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: zope.i18n
 Section: zope
 Priority: extra
-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>
 Build-Depends: debhelper (>= 7),
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 Homepage: http://pypi.python.org/pypi/zope.i18n
 Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.i18n/trunk

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=compile test zcml

%:
	dh $@ --with pydeb --with python2

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.i18n/zope.i18n-(\d.*)\.(?:tar\.gz|zip)

## zope.i18n 4.0.1

=== debian/changelog ===
zope.i18n (4.0.1-1) unstable; urgency=low

  [ Gediminas Paulauskas ]
  * New upstream release.
    - Added optional domain attribute to registerTranslations directive, to
      enable moving translations to /usr/share/locale.
  * debian/control:
    - Enable autopkgtest. Closes: #692698.
  * debian/tests: switch to zope.testrunner.

  [ Barry Warsaw ]
  * Update to 4.0.1.
  * d/compat: Bumped to version 9.
  * d/control:
    - Added python3-zope.i18n binary package.
    - Updated Build-Depends.
    - Bumped Standards-Version to 3.9.6 with no changes necessary.
    - Added X-Python3-Version header.
    - Remove build dependency on pydeb.
    - wrap-and-sort
  * d/copyright: Reorganize for lintian happiness.
  * d/patches:
    - Added use-system-msgfmt.patch to work around the lack of
      python-gettext in the archive.
  * d/rules:
    - Switch to --buildsystem=pybuild
    - Remove get-orig-source rule.
    - Added --with for python3.
  * d/tests:
    - control: Update stanzas.
    - all -> testsuite
    - smoketest-2, smoketest-3: Added import smoketests.
  * d/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Mon, 22 Jun 2015 11:46:26 -0400

=== debian/control ===
Source: zope.i18n
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Barry Warsaw <barry@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               gettext,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-tz,
               python-zope.component,
               python-zope.configuration,
               python-zope.i18nmessageid,
               python-zope.location,
               python-zope.proxy,
               python-zope.schema,
               python-zope.security,
               python-zope.testing,
               python-zope.testrunner,
               python3-all-dev,
               python3-setuptools,
               python3-tz,
               python3-zope.component,
               python3-zope.configuration,
               python3-zope.i18nmessageid,
               python3-zope.location,
               python3-zope.proxy,
               python3-zope.schema,
               python3-zope.security,
               python3-zope.testing,
               python3-zope.testrunner
Standards-Version: 3.9.6
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Testsuite: autopkgtest
Homepage: http://pypi.python.org/pypi/zope.i18n
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.i18n/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.i18n/trunk

Package: python-zope.i18n
Architecture: all
Depends: gettext, ${misc:Depends}, ${python:Depends}
Description: Zope Internationalization Support
 This package implements several APIs related to internationalization and
 localization:
 .
  * Locale objects for all locales maintained by the ICU project.
  * Gettext-based message catalogs for message strings.
  * Locale discovery for Web-based requests.
 .
 This is the Python 2 library.

Package: python3-zope.i18n
Architecture: all
Depends: gettext, ${misc:Depends}, ${python3:Depends}
Description: Zope Internationalization Support
 This package implements several APIs related to internationalization and
 localization:
 .
  * Locale objects for all locales maintained by the ICU project.
  * Gettext-based message catalogs for message strings.
  * Locale discovery for Web-based requests.
 .
 This is the Python 3 library.

=== debian/tests/control ===
Tests: testsuite
Depends: @, python-zope.testrunner, python-zope.testing, python-zope.configuration, python-zope.security

Tests: smoketest-2 smoketest-3
Depends: @

## zope.i18n 4.1.0

=== debian/changelog ===
zope.i18n (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches/setup-py-requires.patch: Removed; zope.testing is fixed.

 -- Barry Warsaw <barry@debian.org>  Tue, 10 Nov 2015 15:04:06 -0500

zope.i18n (4.0.1-3) unstable; urgency=medium

  * d/patches/setup-py-requires.patch: Added to prevent the attempted
    downloading of zope.testing from PyPI even though it's already a
    Build-Depends.  (Closes: #802113)
  * d/tests/control: Use the simpler Test-Command syntax for the smoketests.
  * d/tests/smoketest-{2,3}: Removed.

 -- Barry Warsaw <barry@debian.org>  Tue, 27 Oct 2015 17:48:35 -0400

zope.i18n (4.0.1-2) unstable; urgency=medium

  [ Gediminas Paulauskas ]
  * debian/control: Build-Depends on python3-all (not -dev). Closes: #799691

  [ Barry Warsaw ]
  * debian/tests/control: Add python-setuptools dependency for the
    testsuite autopkgtest.

 -- Barry Warsaw <barry@debian.org>  Tue, 22 Sep 2015 10:56:26 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python-zope.security,
                python-zope.testing,
                python-zope.testrunner,
-               python3-all-dev,
+               python3-all,
                python3-setuptools,
                python3-tz,
                python3-zope.component,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.i18n

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: testsuite
Depends: @, python-setuptools, python-zope.testrunner, python-zope.testing, python-zope.configuration, python-zope.security

Test-Command: python -c "import zope.i18n; print zope.i18n"

Test-Command: python3 -c "import zope.i18n; print(zope.i18n)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.i18n/zope.i18n-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
